FC=gfortran
OPTIONS= -O3
srcdir = .
idir=../../execs
bakdir=../../execs.bak
surfacedir=./post_Analysis/VTU
objects=surfaceProfiler_2D.o \
#
surfaceProfiler: $(objects)
	$(FC) -o surfaceProfiler_2D $(srcdir)/$(objects)
#
	if [ -d $(bakdir) ]; then \
	echo execs.bak Directory Exists; else \
	mkdir $(bakdir); \
	echo execs.bak Directory Created; \
	fi
#
	if [ -d $(idir) ]; then \
	echo execs Directory Exists; else \
	mkdir $(idir); \
	echo execs Directory Created; \
	fi

#
	if [ -f $(idir)/surfaceProfiler_2D ]; then \
	mv $(idir)/surfaceProfiler_2D $(bakdir)/; \
	echo Old surfaceProfiler_2D moved to execs.bak from execs; \
	fi
#
	mv surfaceProfiler_2D $(idir)
	echo New surfaceProfiler_2D moved to execs
#
clean :
	rm *.o
%.o: %.f
	$(FC) $(OPTIONS) -c -o $@ $<
